/* 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


$("#settings_form").submit(function (event) {
    event.preventDefault();
    localStorage.setItem("apiurl", $("#url").val());
    localStorage.setItem("apikey", $("#key").val());
    localStorage.setItem("kioskmode", $("#kioskmode").is(":checked") ? true : null);
    localStorage.setItem("largebtns", $("#largebtns").is(":checked") ? true : null);
    reloadSettings();
    validateSettings(function (resp) {
        if (resp !== true) {
            showmsg("Error", "danger", "Something is wrong.  Check the settings you entered.");
            return;
        }
        document.location.href = "index.html";
    });
});